Credentials
Retrieve a credential
Returns credential metadata only. Sensitive fields are never included in the response.
Scope: credential:read
Authorization
bearerAuth AuthorizationBearer <token>
Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer admp_...
In: header
Path Parameters
credential_id*credential_id
The unique identifier of the credential (UUID).
Format
uuidResponse Body
application/json
curl -X GET "https://api.admiral.io/api/v1/credentials/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "credential": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "type": "CREDENTIAL_TYPE_UNSPECIFIED", "auth_config": { "basic_auth": { "username": "string", "password": "string" } }, "labels": { "property1": "string", "property2": "string" }, "created_by": { "id": "string", "display_name": "string", "email": "string" }, "created_at": "2023-01-15T01:30:15.01Z", "updated_at": "2023-01-15T01:30:15.01Z" }}